apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert -c -f docker-compose.yaml -f docker-compose.bridge.yaml -o mnemosyne
    kompose.image-pull-policy: Always
    kompose.version: 1.22.0 (955b78124)
  creationTimestamp: null
  labels:
    io.kompose.service: typerefinement
  name: typerefinement
spec:
  replicas: {{ .Values.defaultReplicas }}
  selector:
    matchLabels:
      io.kompose.service: typerefinement
  strategy: {}
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert -c -f docker-compose.yaml -f docker-compose.bridge.yaml -o mnemosyne
        kompose.image-pull-policy: Always
        kompose.version: 1.22.0 (955b78124)
      creationTimestamp: null
      labels:
        io.kompose.service: typerefinement
    spec:
      containers:
        - image: mnemo/typerefinement:0.0.2
          imagePullPolicy: Always
          name: typerefinement
          ports:
            - containerPort: 4500
          resources: {}
      restartPolicy: Always
status: {}
